#pragma once
#include "afxwin.h"


// demoJoinConfByIdDlg 对话框

class demoJoinConfByIdDlg : public CDialogEx
{
    DECLARE_DYNAMIC(demoJoinConfByIdDlg)

public:
    demoJoinConfByIdDlg(CWnd* pParent = NULL);   // 标准构造函数
    virtual ~demoJoinConfByIdDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
    enum { IDD = IDD_JOIN_CONF_BY_ID_DIALOG };
#endif

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

    DECLARE_MESSAGE_MAP()
public:
    CEdit m_confIdEdit;
    CEdit m_psdEdit;
    CEdit m_domainEdit;
    CEdit m_nameEdit;
    CEdit m_aliasCNEdit;
    CEdit m_aliasENEdit;
    CEdit m_corpTrustAppIdEdit;
    CString m_confId;
    CString m_psd;
    CString m_domain;
    CString m_name;
    CString m_aliasCN;
    CString m_aliasEN;
    CString m_corpTrustAppId;
    int m_enterType;
    afx_msg void OnBnClickedCancel();
    afx_msg void OnBnClickedOk();
private:
    int demoJoinConfByIdDlg::clickJoinConfById();
public:
    afx_msg void OnBnClickedRadioEnterTypeAccount2();
    afx_msg void OnBnClickedRadioEnterTypeRandom2();
    CButton m_CamCheck;
    CButton m_MicCheck;
    CButton m_SpkCheck;
    CButton m_IsStopConflictConf;
    virtual BOOL OnInitDialog();
private:
    CString m_confPrefix;
    BOOL m_isCascadingMeeting;
};
